.\" Copyright (c) 1990 Carnegie Mellon University
.\" All Rights Reserved.
.\" 
.\" Permission to use, copy, modify and distribute this software and its
.\" documentation is hereby granted, provided that both the copyright
.\" notice and this permission notice appear in all copies of the
.\" software, derivative works or modified versions, and any portions
.\" thereof, and that both notices appear in supporting documentation.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND CARNEGIE MELLON UNIVERSITY
.\" DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.  IN NO EVENT
.\" SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE FOR ANY SPECIAL, DIRECT,
.\" INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER
.\" RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
.\" CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.\" Users of this software agree to return to Carnegie Mellon any
.\" improvements or extensions that they make and grant Carnegie the
.\" rights to redistribute these changes.
.\"
.\" Export of this software is permitted only after complying with the
.\" regulations of the U.S. Deptartment of Commerce relating to the
.\" Export of Technical Data.
.\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.\" Revision 1.2  90/12/12  15:49:33  mja
.TH FILECOPY 3 12/5/79
.CM 1
.SH "NAME"
filecopy, ffilecopy \- copy an open file
.SH "SYNOPSIS"
.B
int filecopy (here,there);
.br
.B
int here,there;
.sp
.B
#include <stdio.h>
.br
.B
int ffilecopy (here,there);
.br
.B
FILE *here,*there;
.SH "DESCRIPTION"
.I
Filecopy
copies the open input file
.I
here
to the open output file
.I
there.
The input data from the current file pointer of
.I
here
until EOF are appended after the current file pointer of
.I
there.
.sp
.I
Ffilecopy
copies the open buffered input file
.I
here
to the open buffered output file
.I
there.
The input data from the current file pointer of
.I
here
until EOF are appended after the current file pointer
of
.I
there.
The data currently in both buffers is correctly handled, and
both buffers are left in an appropriate state.
After
.I
ffilecopy,
.I
feof(here)
will be true.
.sp
These routines are probably faster than you would care to code
for yourself, although they are quite simple.
.SH "DIAGNOSTICS"
.I
Filecopy
and
.I
ffilecopy
return 0 normally, \-1 on error.
If an error occurs, the file
copying operation may be incomplete.
.SH "SEE ALSO"
.IR rename (3)
